elm::box Struct Reference

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
elm::box Struct Reference

Class box. More...

## Public Member Functions
| box (Eo *eo)
| Eo Constructor. More...
| box (std::nullptr_t)
| nullptr_t Constructor. More...
| box (box const &other)
| Copy Constructor.
void | pack_end (::evas::object subobj_) const
void | unpack (::evas::object subobj_) const
void | pack_after (::evas::object subobj_,::evas::object after_) const
void | pack_start (::evas::object subobj_) const
void | pack_before (::evas::object subobj_,::evas::object before_) const
| box (::efl::eo::parent_type _p)
| Constructs a new elm::box object. More...

## Detailed Description

Class box.

## Constructor & Destructor Documentation

elm::box::box | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::box object.

Constructs a new elm::box object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::box my_box(efl::eo::parent = parent_object);

See also
  box(Eo* eo)

elm::box::box | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

elm::box::box | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

void elm::box::pack_after | ( | ::evas::object | subobj_,
|  | ::evas::object | after_
| ) |  | const

Parameters

  subobj |
  after |

void elm::box::pack_before | ( | ::evas::object | subobj_,
|  | ::evas::object | before_
| ) |  | const

Parameters

  subobj |
  before |

void elm::box::pack_end | ( | ::evas::object | subobj_ | ) | const

Parameters

  subobj |

void elm::box::pack_start | ( | ::evas::object | subobj_ | ) | const

Parameters

  subobj |

void elm::box::unpack | ( | ::evas::object | subobj_ | ) | const

Parameters

  subobj |